### Method

# Atspi Table get_row_column_extents_at_index

#### Declaration [src]

    gboolean
    atspi_table_get_row_column_extents_at_index (
      AtspiTable* obj,
      gint index,
      gint* row,
      gint* col,
      gint* row_extents,
      gint* col_extents,
      gboolean* is_selected,
      GError** error
    )

#### Description [src]

Given a child index, determines the row and column indices and extents, and whether the cell is currently selected. If the child at index is not a cell (for instance, if it is a summary, caption, etc.), `FALSE` is returned. The returned values are meaningful only if the Table has both STATE_VISIBLE and STATE_SHOWING.

Example: If the `AtspiTable` child at index ‘6’ extends across columns 5 and 6 of row 2 of an `AtspiTable` instance, and is currently selected, then

retval = atspi_table_get_row_column_extents_at_index (table, 6, row, col, row_extents, col_extents, is_selected);

will return `TRUE`, and after the call row, col, row_extents, col_extents, and is_selected will contain 2, 5, 1, 2, and `TRUE`, respectively.

#### Parameters

`index`

  Type: `gint`

  The index of the `AtspiTable` child whose row/column extents are requested.

`row`

  Type: `gint*`

  Back-filled with the first table row associated with the cell with child index.

  The argument will be set by the function.

`col`

  Type: `gint*`

  Back-filled with the first table column associated with the cell with child index.

  The argument will be set by the function.

`row_extents`

  Type: `gint*`

  Back-filled with the number of table rows across which child i extends.

  The argument will be set by the function.

`col_extents`

  Type: `gint*`

  Back-filled with the number of table columns across which child i extends.

  The argument will be set by the function.

`is_selected`

  Type: `gboolean*`

  A boolean which is back-filled with `TRUE` if the child at index i corresponds to a selected table cell, `FALSE` otherwise.

  The argument will be set by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the index is associated with a valid table cell, `FALSE` if the index does not correspond to a cell. If `FALSE` is returned, the values of the out parameters are undefined.